#!/bin/sh

if [ -d "/sysconfig/upgrade" ]; then
    rm -rf /sysconfig/upgrade
fi

UPGRADE_DIR="/tmp/upgrade/hotfix"
cp $UPGRADE_DIR/sysupgrade /sbin/sysupgrade
cp $UPGRADE_DIR/common.sh /lib/upgrade/common.sh
cp $UPGRADE_DIR/platform.sh /lib/upgrade/platform.sh

sync
sleep 2
echo "/usr/sbin/raise-alarm -i 18 -l 2 -m \"Reboot Reason: Image Upgrade\"" > /sysconfig/log/reason.sh
#debug
md5sum /sbin/sysupgrade > /dev/console
md5sum /lib/upgrade/common.sh > /dev/console
md5sum /lib/upgrade/platform.sh > /dev/console
ls -l /sysconfig/upgrade > /dev/console
ls -l /tmp/upgrade > /dev/console
#debug-end
sysupgrade -v "/tmp/upgrade/nand-ipq5018-apps.img"
